#[cfg(test)] mod tests;

use rocket_contrib::json::Json;

mod controller;
use controller as ctrl;
use ctrl::structs::Street;

pub fn routes() -> Vec<rocket::Route> {
    routes![
        search_streets,
    ]
}

// URL: https://www.ivago.be/nl/particulier/autocomplete/garbage/streets?q=Lange
// TODO make this async
// TODO change this so it can return errors instead of empty json
#[get("/search?<street>", format="json")]
pub fn search_streets(street: String) -> Json<Vec<Street>> {
    match ctrl::search_streets(&street) {
        Ok(streets) => Json(streets),
        Err(err) => {
            println!("{:?}", err);
            Json(Vec::new())
        },
    }
}
